<?php
/**
 * A unique identifier is defined to store the options in the database and reference them from the theme.
 * By default it uses the theme name, in lowercase and without spaces, but this can be changed if needed.
 * If the identifier changes, it'll appear as if the options have been reset.
 */
function optionsframework_option_name() {
	// This gets the theme name from the stylesheet
	$themename = wp_get_theme();
	$themename = preg_replace("/\W/", "_", strtolower($themename) );
	$optionsframework_settings = get_option( 'optionsframework' );
	$optionsframework_settings['id'] = $themename;
	update_option( 'optionsframework', $optionsframework_settings );
}
/**
 * Defines an array of options that will be used to generate the settings page and be saved in the database.
 * When creating the 'id' fields, make sure to use all lowercase and no spaces.
 * If you are making your theme translatable, you should replace 'gold'
 * with the actual text domain for your theme.  Read more:
 * http://codex.wordpress.org/Function_Reference/load_theme_textdomain
 */
function optionsframework_options() {
	// Test data
	$rss=get_bloginfo('rss2_url');
	$test_array = array(
		'one' => __('One', 'gold'),
		'two' => __('Two', 'gold'),
		'three' => __('Three', 'gold'),
		'four' => __('Four', 'gold'),
		'five' => __('Five', 'gold')
	);
	$theme_array = array(
		'Default' => __('Default', 'gold'),
		'Basic' => __('Basic', 'gold'),
		'Dark Blue' => __('Dark Blue', 'gold'),
		);

    $cat_array=null;
   $args = array(
	'type'                     => 'post',
	'hide_empty'               => 0,
	'hierarchical'             => 1,
	'exclude'                  => '',
	'include'                  => '',
	'number'                   => '',
	'taxonomy'                 => 'category',
	'pad_counts'               => false 

); 

    $categories = get_categories( $args );
   	$cat_array['Default']=__('Deafault','gold');
	foreach ($categories as $value) {
		$cat_array[$value->name]=$value->name;	
	}

	$menu_array=array(
		'Enable Top Menu'=>__('Enable Top Menu Here', 'gold'),
		'Disable Top Menu'=>__('Disable Top Menu Here', 'gold'),
		);
	// Multicheck Array
	$multicheck_array = array(
		'one' => __('French Toast', 'gold'),
		'two' => __('Pancake', 'gold'),
		'three' => __('Omelette', 'gold'),
		'four' => __('Crepe', 'gold'),
		'five' => __('Waffle', 'gold')
	);
	// Multicheck Defaults
	$multicheck_defaults = array(
		'one' => '1',
		'five' => '1'
	);

	// Typography Defaults
	$typography_defaults = array(
		'size' => '15px',
		'face' => 'georgia',
		'style' => 'bold',
		'color' => '#bada55' );
	// Typography Options
	$typography_options = array(
		'sizes' => array( '6','12','14','16','20' ),
		'faces' => array( 'Helvetica Neue' => 'Helvetica Neue','Arial' => 'Arial' ),
		'styles' => array( 'normal' => 'Normal','bold' => 'Bold' ),
		'color' => false
	);
	// Pull all the categories into an array
	$options_categories = array();
	$options_categories_obj = get_categories();
	foreach ($options_categories_obj as $category) {
		$options_categories[$category->cat_ID] = $category->cat_name;
	}
	// Pull all tags into an array
	$options_tags = array();
	$options_tags_obj = get_tags();
	foreach ( $options_tags_obj as $tag ) {
		$options_tags[$tag->term_id] = $tag->name;
	}
	// Pull all the pages into an array
	$options_pages = array();
	$options_pages_obj = get_pages('sort_column=post_parent,menu_order');
	$options_pages[''] = 'Select a page:';
	foreach ($options_pages_obj as $page) {
		$options_pages[$page->ID] = $page->post_title;
	}
	// If using image radio buttons, define a directory path
	$imagepath =  get_template_directory_uri() . '/images/';
	$options = array();
	/*****************Theme Option For Custom Theme*****************/
		$options[] = array(
			'name' => __('Color Themes', 'gold'),
			'type' => 'heading');
		$options[] = array(
			'name'=>__('Select Default Theme Here','gold'),
			'desc' => __('Radio select with default.', 'gold'),
			'id' => 'default_theme',
			'std' => 'Default',
			'type' => 'radio',
			'options' => $theme_array);
	/*****************Theme option for Custom Theme *****************/
	/*****************Theme option for Header *****************/	
		$options[] = array(
			'name' => __('Header & Footer', 'gold'),
			'type' => 'heading');
		$options[] = array(
			'name'=>__('Header','gold'),
			'id' => 'hhh',
			'type' => '',
			);
		$options[] = array(
			'name' => __('Site Logo', 'gold'),
			'desc' => __('This creates a full size uploader that previews the image.', 'gold'),
			'id' => 'logo',
			'type' => 'upload');
		$options[] = array(
			'name'=>__('Footer','gold'),
			'id' => 'fff',
			'type' => '',
			);
		$options[] = array(
			'name' => __('Footer Credit Text', 'gold'),
			'desc' => __('Add Here Your Footer Credit text', 'gold'),
			'id' => 'right_reserved',
			'type' => 'editor');
	/*****************Theme option for Header *****************/
	/*****************Theme option for Front Page Featured Columns *****************/	
		$options[] = array(
			'name' => __('Front Page', 'gold'),
			'type' => 'heading');
		$options[] = array(
			'name'=>__('Featured Section','gold'),
			'id' => 'fcl',
			'type' => '',
			);
		$options[] = array(
			'name' =>__('Add video or Image','gold'),
			'desc' => __('Add Video URL Here.', 'gold'),
			'id' => 'video_hidden',
			'type' => 'checkbox');
		$options[] = array(
			'name' => __('Video ID (See image below)', 'gold'),
			'id' => 'show_video_hidden',
			'std' => 'Add Your Video Url here.',
			'class' => 'hidden',
			'type' => 'text');
		$options[] = array(
			'desc' => __('Select Image Here', 'gold'),
			'id' => 'image_hidden',
			'type' => 'checkbox');
		$options[] = array(
			'name' => __('Image Input', 'gold'),
			'id' => 'show_image_hidden',
			'std' => 'Add Your Image Here.',
			'class' => 'hidden',
			'type' => 'upload');
		$options[] = array(
			'name'=>__('Featured Column On The Right','gold'),
			'id' => 'fcr',
			'type' => '',
			);
		$options[] = array(
			'name' => __('Front Page Featured Heading', 'gold'),
			'desc' => __('A text input field for feature heading.', 'gold'),
			'id' => 'featured_heading',
			'type' => 'text');
		$options[] = array(
			'name' => __('Front Page Featured Sub Heading', 'gold'),
			'desc' => __('A text input field for feature sub heading.', 'gold'),
			'id' => 'featured_sub_heading',
			'type' => 'text');
		$options[] = array(
			'name' => __('Front Page Featured Text', 'gold'),
			'desc' => __('A text input field for feature text.', 'gold'),
			'id' => 'featured_text',
			'type' => 'textarea');
		$options[] = array(
			'name' =>__('Featured Section Button(s)','gold'),
			'desc'=>__('Please Select Button-One if you want to use a model(Popover) triggered by this button.gold theme provide the option of using a second button in the featured content,which you can link any where.To do so,select the second option (button-one and button-two).','gold'),
			'id' => 'butut',
			'type' => '',
			);
		$options[] = array(
			'desc' => __('Button-one.', 'gold'),
			'id' => 'single_btn',
			'type' =>'checkbox');
		
		$options[]=array(
			'name'=>__('Button Text','gold'),
			'desc'=>__('A text input field for button text','gold'),
			'id'=>'btntxt',
			'std'=>'Default Value',
			'class' => 'hidden',
			'type'=>'text'
			);
		$options[]=array(
			'name'=>__('Modal Title','gold'),
			'desc'=>__('A text input field for modal title'),
			'id'=>'modal-title',
			'std'=>'Default Value',
			'class' => 'hidden',
			'type'=>'text'
			);
		$options[]=array(
			'name'=>__('Modal Content','gold'),
			'desc'=>__('A editor field for modal content'),
			'id'=>'modal-content',
			'std'=>'Default Value',
			'class' => 'hidden',
			'type'=>'editor'
			);
		$options[] = array(
			'desc' => __("Button-one and Button-two", 'gold'),
			'id' => 'two_btn',
			'type' => 'checkbox');
		$options[]=array(
			'name'=>__('Button-one Text','gold'),
			'desc'=>__('A text input field for button text'),
			'id'=>'btntxt1',
			'std'=>'Default Value',
			'class' => 'hidden',
			'type'=>'text'
			);
		$options[]=array(
			'name'=>__('Modal Title','gold'),
			'desc'=>__('A text input field for modal title'),
			'id'=>'modal-title1',
			'std'=>'Default Value',
			'class' => 'hidden',
			'type'=>'text'
			);
		$options[]=array(
			'name'=>__('Modal Content','gold'),
			'desc'=>__('A editor field for modal content'),
			'id'=>'modal-content1',
			'std'=>'Default Value',
			'class' => 'hidden',
			'type'=>'editor'
			);
		$options[]=array(
			'name'=>__('Button-two Text','gold'),
			'desc'=>__('A text input field for  button text'),
			'id'=>'btntxt2',
			'std'=>'Default Value',
			'class' => 'hidden',
			'type'=>'text'
			);
		$options[]=array(
			'name'=>__('Button-two Link','gold'),
			'desc'=>__('A text input field for button link'),
			'id'=>'btnlink2',
			'std'=>'#',
			'class' => 'hidden',
			'type'=>'text'
			);
		$wp_editor_settings = array(
			'wpautop' => true, // Default
			'textarea_rows' => 5,
			'tinymce' => array( 'plugins' => 'wordpress' )
		);
		$options[]=array(
			'name'=>__('Featured Boxes (The three boxes on the front page.)','gold'),
			'id' => "boxxxx",
			'type' => ''
			);
		$options[]=array(
			'name'=>__('Box-1','gold'),
			'desc' => __('Box-1 - Use Your Own HTML in This Box.', 'gold'),
			'id' => "box-1",
			'type' => 'checkbox'
			);
		$options[]=array(
			'name' => __('Box-1 Title', 'gold'),
			'id' => "b1_title",
			'std' => 'Default Value',
			'type' => 'text',
			'class'=>'hidden'	
			);
		$options[] = array(
			'name' => __('Add Your Front Box Body Content Here', 'gold'),
			'id' => 'b1_editor',
			'type' => 'editor',
			'class'=>'hidden',
			'settings' => $wp_editor_settings );
		$options[]=array(
			'desc' => __('Check Here to use default image gallery', 'gold'),
			'id' => "d-box-1",
			'std'=>true,
			'type' => 'checkbox'
			);
		$options[]=array(
			'name'=>__('Box-2','gold'),
			'desc' => __('Box-2- Use Your Own HTML in This Box.', 'gold'),
			'id' => "box-2",
			'type' => 'checkbox',
			);
		$options[]=array(
			'name' => __('Box-2 Title', 'gold'),
			'id' => "b2_title",
			'std' => 'Default Value',
			'type' => 'text',
			'class'=>'hidden'	
			);
		$options[] = array(
			'name' => __('Add Your Front Box Body Content Here', 'gold'),
			'id' => 'b2_editor',
			'type' => 'editor',
			'class'=>'hidden',
			'settings' => $wp_editor_settings );
		$options[]=array(
			'desc' => __('Check Here to use default FAQs Box With Collapse Panel', 'gold'),
			'id' => "d-box-2",
			'std'=>true,
			'type' => 'checkbox'
		);
		$options[] = array(
			'name' => __('Collapsible Panel-1 Title', 'gold'),
			'desc' => __('The title for collapsible panel-1.', 'gold'),
			'id' => 'collapse_title1',
			'std' => 'Default Value',
			'class'=>'hidden',
			'type' => 'text');
		$options[] = array(
			'name' => __('Collapsible Panel-1 HTML', 'gold'),
			'desc' => __('Place your HTML to use in collapsible panel-1.', 'gold'),
			'id' => 'example_collapse1',
			'std' => 'Default Value',
			'class'=>'hidden',
			'type' => 'textarea');
		$options[] = array(
			'name' => __('Collapsible Panel-2 title ', 'gold'),
			'desc' => __('The title for collapsible panel-2.', 'gold'),
			'id' => 'collapse_title2',
			'std' => 'Default Value',
			'class'=>'hidden',
			'type' => 'text');
		$options[] = array(
			'name' => __('Collapsible Panel-2 HTML', 'gold'),
			'desc' => __('Place your HTML to use in collapsible panel-2.', 'gold'),
			'id' => 'example_collapse2',
			'std' => 'Default Value',
			'class'=>'hidden',
			'type' => 'textarea');
		$options[] = array(
			'name' => __('Collapsible Panel-3 title', 'gold'),
			'desc' => __('The title for collapsible panel-3.', 'gold'),
			'id' => 'collapse_title3',
			'std' => 'Default Value',
			'class'=>'hidden',
			'type' => 'text');
		$options[] = array(
			'name' => __('Collapsible Panel-3 HTML', 'gold'),
			'desc' => __('Place your HTML to use in collapsible panel-3.', 'gold'),
			'id' => 'example_collapse3',
			'std' => 'Default Value',
			'class'=>'hidden',
			'type' => 'textarea');
		$options[]=array(
			'name'=>__('Box-3','gold'),
			'desc' => __('Box-3- Use Your Own HTML in This Box.', 'gold'),
			'id' => "box-3",
			'type' => 'checkbox',
			);
		$options[]=array(
			'name' => __('Box-3 Title', 'gold'),
			'id' => "b3_title",
			'std' => 'Default Value',
			'type' => 'text',
			'class'=>'hidden'	
			);
		$options[] = array(
			'name' => __('Add Your Front Box Body Content Here', 'gold'),
			'id' => 'b3_editor',
			'type' => 'editor',
			'class'=>'hidden',
			'settings' => $wp_editor_settings );
		$options[]=array(
			'desc' => __('Check Here to use default Login Box', 'gold'),
			'id' => "d-box-3",
			'std'=>true,
			'type' => 'checkbox'
			);
	/*****************Theme option Front page featured columns*****************/	
	/*****************Theme option for Social Icons*****************/
		$options[] = array(
			'name' => __('Social', 'gold'),
			'type' => 'heading' );
		$options[]=array(
			'name'=>__('Enable or Disable the social icons.','gold'),
			'desc' => __('Enable Social icons.', 'gold'),
			'id' => "enable",
			'type' => 'checkbox'
			);
		$options[]=array(
			'name' => __('RSS', 'gold'),
			'desc' => __('Enter your rss url Include http:// at the front of the url.', 'gold'),
			'id' => "rss",
			'std' => $rss,
			'type' => 'text',
			'class'=>'hidden'	
			);		
		$options[]=array(
			'name' => __('Flicker', 'gold'),
			'desc' => __('Enter your flicker url Include http:// at the front of the url.', 'gold'),
			'id' => "flicker",
			'std' => '',
			'type' => 'text',	
			'class'=>'hidden'
			);
		$options[]=array(
			'name' => __('YouTube', 'gold'),
			'desc' => __('Enter your youtube url Include http:// at the front of the url.', 'gold'),
			'id' => "youtube",
			'std' => '',
			'type' => 'text',
			'class'=>'hidden'	
			);
		$options[]=array(
			'name' => __('Twitter', 'gold'),
			'desc' => __('Enter your twitter url Include http:// at the front of the url.', 'gold'),
			'id' => "twitter",
			'std' => '',
			'type' => 'text',
			'class'=>'hidden'	
			);
		$options[]=array(
			'name' => __('Facebook', 'gold'),
			'desc' => __('Enter your facebook url Include http:// at the front of the url.', 'gold'),
			'id' => "fb",
			'std' => '',
			'type' => 'text',
			'class'=>'hidden'	
			);
	/*****************Theme option for Social Icons*****************/	
	/*****************Theme Option For About Page*****************/
		$options[] = array(
			'name' => __('About Page', 'gold'),
			'type' => 'heading'
			);

		$options[] = array(
			'name' => __('Create a page and Choose the about template before using these options', 'gold'),
			'id'   =>'apg',
			'type' => ''
			);

		$options[]=array(
			'name' => __('Page Title', 'gold'),
			'desc'=>__('This is the text field to add title of about page.'),
			'id'=>'about-title',
			'type'=>'text'
			);

		$options[]=array(
			'name' => __('Page Sub Title', 'gold'),
			'desc'=>__('This is the text field to add sub title of about page.'),
			'id'=>'about-sub-title',
			'type'=>'text'
			);


		$options[]=array(
			'name' => __('About Page Carousel Image 1 ', 'gold'),
			'desc'=>__('This is the image upload field to add carousel image.'),
			'id'=>'ci1',
			'type'=>'upload'
			);

		$options[]=array(
			'name' => __('About Page Carousel Image 2 ', 'gold'),
			'desc'=>__('This is the image upload field to add carousel image.'),
			'id'=>'ci2',
			'type'=>'upload'
			);

		$options[]=array(
			'name' => __('About Page Carousel Image 3', 'gold'),
			'desc'=>__('This is the image upload field to add carousel image.'),
			'id'=>'ci3',
			'type'=>'upload'
			);

		$options[]=array(
			'name' => __('About Page Carousel Image 4 ', 'gold'),
			'desc'=>__('This is the image upload field to add carousel image.'),
			'id'=>'ci4',
			'type'=>'upload'
			);

		$options[]=array(
			'name' => __('About Page Carousel Image 5 ', 'gold'),
			'desc'=>__('This is the image upload field to add carousel image.'),
			'id'=>'ci5',
			'type'=>'upload'
			);

		$options[]=array(
			'name' => __('About Page Tab-1 Image ', 'gold'),
			'desc'=>__('This is the image upload field to add image at about page what we do tab.'),
			'id'=>'wwdi',
			'type'=>'upload'
			);

		$options[]=array(
			'name' => __('About Page Tab-1 Text', 'gold'),
			'desc'=>__('This is the text area field to add text at about page What We Do Tab.'),
			'id'=>'wwdt',
			'type'=>'textarea'
			);

		$options[]=array(
			'name' => __('About Page Tab-2 Text', 'gold'),
			'desc'=>__('This is the text area field to add text at about page who we are tab.'),
			'id'=>'wwrt',
			'type'=>'textarea'
			);

	/*****************Theme Option For About Page*****************/

	/*****************Theme Option For Contact Page*****************/
		$options[] = array(
			'name' => __('Contact Page', 'gold'),
			'type' => 'heading'
			);

		$options[] = array(
			'name' => __('Create a page and Choose the contact template before using these options', 'gold'),
			'id'   =>'cpg',
			'type' => ''
			);

		$options[]=array(
			'name' => __('Contact Page Header Image', 'gold'),
			'desc'=>__('This is the image upload field to add image in header section of contact page.', 'gold'),
			'id'=>'cimage',
			'type'=>'upload'
			);

		$options[]=array(
			'name' => __('Address', 'gold'),
			'id'=>'add',
			'type'=>''
			);

		$options[]=array(
			'name' => __('Company Name', 'gold'),
			'desc'=>__('This is the text field to add company name.'),
			'id'=>'cmp',
			'type'=>'text'
			);

		$options[]=array(
			'name' => __('Street', 'gold'),
			'desc'=>__('This is the text field to add street.'),
			'id'=>'street',
			'type'=>'text'
			);

		$options[]=array(
			'name' => __('City', 'gold'),
			'desc'=>__('This is the text field to add city.'),
			'id'=>'city',
			'type'=>'text'
			);

		$options[]=array(
			'name' => __('Contact No.', 'gold'),
			'desc'=>__('This is the text field to add contact no.'),
			'id'=>'phno',
			'type'=>'text'
			);

		$options[]=array(
			'name' => __('Your Name', 'gold'),
			'desc'=>__('This is the text field to add name.'),
			'id'=>'name',
			'type'=>'text'
			);

		$options[]=array(
			'name' => __('Email Id', 'gold'),
			'desc'=>__('This is the text field to add email id.'),
			'id'=>'eid',
			'type'=>'text'
			);

		$options[]=array(
			'name' => __('Working Hours', 'gold'),
			'id'=>'wh',
			'type'=>''
			);

		$options[]=array(
			'name' => __('Working Hours For Monday to Friday', 'gold'),
			'desc'=>__('This is the text field to add workinghours.'),
			'id'=>'wh1',
			'type'=>'text'
			);

		$options[]=array(
			'name' => __('Working Hours For Saturday', 'gold'),
			'desc'=>__('This is the text field to add workinghours.'),
			'id'=>'wh2',
			'type'=>'text'
			);
		
	/*****************Theme Option For Contact Page*****************/
	

	/*****************Theme Option For Your Categories*****************/
		$options[] = array(
			'name' => __('Gallery', 'gold'),
			'type' => 'heading'
			);

		$options[] = array(
			'name' => __('Select Your Category For Gallery.', 'gold'),
			'desc'=>__('This category will be used to display the featured images for the gallery section.', 'gold'),
			'id'   =>'ycategory',
			'type' => 'select',
			'options'=>$cat_array,
		);

	/*****************End Of Theme Option For Your Categories*****************/
	return $options;
}